#
# spec file for package python-google-cloud-vpc-access
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-google-cloud-vpc-access
Version:        1.13.1
Release:        1.1
Summary:        Google Cloud Vpc Access API client library
License:        Apache-2.0
URL:            https://github.com/googleapis/google-cloud-python/tree/main/packages/google-cloud-vpc-access
Source:         https://files.pythonhosted.org/packages/source/g/google_cloud_vpc_access/google_cloud_vpc_access-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module google-api-core >= 1.34.1}
BuildRequires:  %{python_module proto-plus >= 1.22.3}
BuildRequires:  %{python_module protobuf >= 3.20.2}
BuildRequires:  %{python_module pytest}
# /SECTION
BuildRequires:  fdupes
Requires:       python-google-api-core >= 1.34.1
Requires:       python-google-auth
Requires:       python-proto-plus >= 1.22.3
Requires:       python-protobuf >= 3.20.2
BuildArch:      noarch
%python_subpackages

%description
Google Cloud Vpc Access API client library

%prep
%autosetup -p1 -n google_cloud_vpc_access-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/google/cloud/vpcaccess*
%{python_sitelib}/google_cloud_vpc_access-%{version}.dist-info

%changelog
* Sat Apr 26 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 1.13.1
  * [Many APIs] Allow Protobuf 6.x
  * Remove setup.cfg configuration for creating universal wheels (#13659)
- from version 1.13.0
  * Add REST Interceptors which support reading metadata
  * Add support for reading selective GAPIC generation methods from service YAML
- from version 1.12.0
  * Add support for opt-in debug logging
  * Fix typing issue with gRPC metadata when key ends in -bin
- from version 1.11.1
  * Disable universe-domain validation (#13247)
- from version 1.11.0
  * Add support for Python 3.13 (#13210)
- from version 1.10.5
  * Retry and timeout values do not propagate in requests during pagination
- Adjust upstream source name in spec file
- Update BuildRequires and Requires from setup.py
* Wed Jul 24 2024 Dirk Müller <dmueller@suse.com>
- update to 1.10.4:
  * Allow Protobuf 5.x
* Fri May 10 2024 Dirk Müller <dmueller@suse.com>
- update to 1.10.3:
  * deps: [Many APIs] Require google-api-core > =1.34.1
  * fix ValueError in test__validate_universe_domain
  * Add google-auth as a direct dependency
  * Add staticmethod decorator to _get_client_cert_source and
    _get_api_endpoint (e16032f)
  * Resolve AttributeError 'Credentials' object has no attribute
    'universe_domain'
* Sun Feb  4 2024 Dirk Müller <dmueller@suse.com>
- update to google-cloud-vpc-access-v1.10.0:
  * Allow users to explicitly configure universe domain
* Tue Jan  9 2024 Daniel Garcia <daniel.garcia@suse.com>
- Initial version 1.9.0 (jsc#PED-6697)
